import { Col } from 'src/app/shared/dc-validator/models/col.model'

export const excelDateToJSDate = (serial: number) => {
  return new Date(Math.round((serial - 25569) * 86400 * 1000))
}

export const parseTableColumns = (data: Col[]): string[] => {
  const columns: string[] = []

  for (let specEntry of data) {
    if (specEntry.NAME !== '_____DELETE__THIS__RECORD_____') {
      columns.push(specEntry.NAME)
    }
  }

  return columns
}

export const getMissingHeaders = (data: any, headers: any) => {
  const missingHeaders: string[] = []
  const remainingHeaders: string[] = []

  headers.forEach((element: string) => {
    if (data.indexOf(element) === -1) {
      missingHeaders.push(element)
    } else {
      remainingHeaders.push(element)
    }
  })

  return [missingHeaders, remainingHeaders]
}
